<template>
  <view class="page-container">
    <!-- <navBar class="navBar"></navBar> -->
    <view class="webview-container">
      <web-view  :src="url"></web-view>
    </view>
  </view>
</template>

<script setup>
import { ref } from 'vue';
import { onLoad } from '@dcloudio/uni-app'
// import navBar from '@/components/navBar.vue';

const url = ref('');

onLoad((options) => {
  if (options.url) {
    url.value = decodeURIComponent(options.url);
  }
});
</script>

<style>
.page-container {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.navBar {
  z-index: 10; /* 确保 navBar 在 WebView 之上 */
}

.webview-container {
  height: 200px;
  z-index: 1;
}
uni-web-view.uni-webview--fullscreen{
	pointer-events: none;
}
</style>
